API Reference

Customer Invoices

12 endpoints· Auth: JWT or API Key
get/api/v1/console/accounting/customer-invoices JWT API Key

Get customer-invoices

Query parameters

Status
string
—
From
string (date)
—
ToExclusive
string (date)
—
OutstandingOnly
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/accounting/customer-invoices" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/accounting/customer-invoices JWT API Key

Create customer-invoices

Request body

application/json
{
  "customerName": "string",
  "customerTaxId": "string",
  "businessDate": "2026-09-30",
  "dueDate": "2026-09-30",
  "currencyCode": "string",
  "notes": "string",
  "lines": [
    {
      "description": "string",
      "quantity": 0,
      "unitPriceIqd": 0,
      "taxCodeId": "00000000-0000-0000-0000-000000000000",
      "sourceOrderId": "00000000-0000-0000-0000-000000000000"
    }
  ]
}
customerName
string
—
customerTaxId
string
—
businessDate
string (date)
—
dueDate
string (date)
—
currencyCode
string
—
notes
string
—
lines
CustomerInvoiceLineInput[]
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/accounting/customer-invoices" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "customerName": "string",
  "customerTaxId": "string",
  "businessDate": "2026-09-30",
  "dueDate": "2026-09-30",
  "currencyCode": "string",
  "notes": "string",
  "lines": [
    {
      "description": "string",
      "quantity": 0,
      "unitPriceIqd": 0,
      "taxCodeId": "00000000-0000-0000-0000-000000000000",
      "sourceOrderId": "00000000-0000-0000-0000-000000000000"
    }
  ]
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/accounting/customer-invoices/{id} JWT API Key

Get id

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/accounting/customer-invoices/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
put/api/v1/console/accounting/customer-invoices/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "customerName": "string",
  "customerTaxId": "string",
  "businessDate": "2026-09-30",
  "dueDate": "2026-09-30",
  "notes": "string",
  "lines": [
    {
      "description": "string",
      "quantity": 0,
      "unitPriceIqd": 0,
      "taxCodeId": "00000000-0000-0000-0000-000000000000",
      "sourceOrderId": "00000000-0000-0000-0000-000000000000"
    }
  ]
}
customerName
string
—
customerTaxId
string
—
businessDate
string (date)
—
dueDate
string (date)
—
notes
string
—
lines
CustomerInvoiceLineInput[]
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/accounting/customer-invoices/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "customerName": "string",
  "customerTaxId": "string",
  "businessDate": "2026-09-30",
  "dueDate": "2026-09-30",
  "notes": "string",
  "lines": [
    {
      "description": "string",
      "quantity": 0,
      "unitPriceIqd": 0,
      "taxCodeId": "00000000-0000-0000-0000-000000000000",
      "sourceOrderId": "00000000-0000-0000-0000-000000000000"
    }
  ]
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/accounting/customer-invoices/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/accounting/customer-invoices/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/accounting/customer-invoices/{id}/issue JWT API Key

Create issue

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "memo": "string"
}
memo
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/accounting/customer-invoices/{id}/issue" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "memo": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/accounting/customer-invoices/{id}/payments JWT API Key

Create payments

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "amountIqd": 0,
  "method": "string",
  "reference": "string"
}
amountIqd
integer (int64)
—
method
string
—
reference
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/accounting/customer-invoices/{id}/payments" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "amountIqd": 0,
  "method": "string",
  "reference": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/accounting/customer-invoices/{id}/pdf JWT API Key

Get pdf

Path parameters

idrequired
string (uuid)
—

Query parameters

Lang
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/accounting/customer-invoices/{id}/pdf" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/accounting/customer-invoices/{id}/void JWT API Key

Create void

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/accounting/customer-invoices/{id}/void" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/accounting/customer-invoices/billable-orders JWT API Key

Get billable-orders

Query parameters

From
string (date)
—
To
string (date)
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/accounting/customer-invoices/billable-orders" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
get/api/v1/console/accounting/customer-invoices/statement JWT API Key

Get statement

Query parameters

Customer
string
—
From
string (date)
—
To
string (date)
—
Lang
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/accounting/customer-invoices/statement" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
get/api/v1/console/accounting/customer-invoices/statement/pdf JWT API Key

Get pdf

Query parameters

Customer
string
—
From
string (date)
—
To
string (date)
—
Lang
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/accounting/customer-invoices/statement/pdf" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu